Subject: Re: bug or a general misunderstanding

From: [email-masked]
Date: Mon, 15 Nov 2021 10:56:00 +0000

Hi,

Starting from the relevant branch

git branch TEST_1
git checkout TEST_1
git status

then

git checkout BBV ---- that is the original Branch
git branch TEST_2 ff2c8952 ---- the commit to check out from
git checkout TEST_2
git status

git branch --contains 48c8756e ---- the commit with the specific code

the result is that only TEST_1 is shown, not TEST_2.
It looks to me like the commit is missing.
When I look at the code, the lines in question are also missing.

Am 11.11.2021 22:34 schrieb brian m. carlson:
> On 2021-11-10 at 18:27:56, [email-masked] wrote:
>> Hello Johannes,
>> 
>> Thanks for your ideas.
>> 
>> I have checked out the respective new branch and switched between the
>> original and the new, multiple times.
>> Otherwise I would not have noticed the lack of commits.
>> 
>> I have also set up a virtual machine, free of any IDE or GIT. There I 
>> only
>> installed Git for Windows and repeated the process via cmd. The result 
>> is
>> the same, there are missing commits in the history compared to the 
>> original
>> branch.
> 
> Could you give us a set of commands you've run (in Git Bash) to create 
> a
> new test repository (or clone an existing public repository) and
> reproduce this problem?  Right now, we don't know exactly what you've
> done, so we can only speculate about what you're seeing.